Gnome Developers' Information
<<< Previous | GNOME User Interface library. | Next >>>

# gnome-stock

## Description

If defined, gdk_imlib is used for the pixmap stuff. That will help alot. As well for colormaps, as for determining the size of a pixmap before a GdkWindow is created.

TODO: I cannot define this here permanently because it will require, that all apps link against gdk_imlib. We will require a check, if gdk_imlib is installed on the particular system and include -lgdk_imlib in LIBS for that.

## GnomeStockPixmapEntryAny - some internal definitions

    struct _GnomeStockPixmapEntryAny GnomeStockPixmapEntryAny

### Description

some internal definitions

## GnomeStockPixmapWidget - the GnomeStockPixmapWidget

    struct _GnomeStockPixmapWidget GnomeStockPixmapWidget

### Description

the GnomeStockPixmapWidget

## gnome_stock_pixmap - just fetch a pixmap

`GtkPixmap *`gnome_stock_pixmap``(GtkWidget *`window`, char *`icon`, char *`subtype`);

### Description

just fetch a pixmap

### Parameters

- GtkWidget *`window`

  Not Descripted.

- char *`icon`

  Not Descripted.

- char *`subtype`

  Not Descripted.

## gnome_stock_pixmap_widget - just fetch a GnomeStockPixmapWidget

`GtkWidget *`gnome_stock_pixmap_widget``(GtkWidget *`window`, char *`icon`);

### Description

just fetch a GnomeStockPixmapWidget

### Parameters

- GtkWidget *`window`

  Not Descripted.

- char *`icon`

  Not Descripted.

## gnome_stock_pixmap_register - register a pixmap. returns non-zero, if successful

`gint `gnome_stock_pixmap_register``(char *`icon`, char *`subtype`, GnomeStockPixmapEntry *`entry`);

### Description

register a pixmap. returns non-zero, if successful

### Parameters

- char *`icon`

  Not Descripted.

- char *`subtype`

  Not Descripted.

- GnomeStockPixmapEntry *`entry`

  Not Descripted.

## gnome_stock_pixmap_change - change an existing entry. returns non-zero on success

`gint `gnome_stock_pixmap_change``(char *`icon`, char *`subtype`, GnomeStockPixmapEntry *`entry`);

### Description

change an existing entry. returns non-zero on success

### Parameters

- char *`icon`

  Not Descripted.

- char *`subtype`

  Not Descripted.

- GnomeStockPixmapEntry *`entry`

  Not Descripted.

## gnome_stock_pixmap_checkfor

`GnomeStockPixmapEntry *`gnome_stock_pixmap_checkfor``(char *`icon`, char *`subtype`);

### Description

check for the existence of an entry. returns the entry if it exists, or NULL otherwise

### Parameters

- char *`icon`

  Not Descripted.

- char *`subtype`

  Not Descripted.

## gnome_stock_button - returns a default button widget for dialogs

`GtkWidget *`gnome_stock_button``(char *`type`);

### Description

returns a default button widget for dialogs

### Parameters

- char *`type`

  Not Descripted.

## gnome_stock_menu_item - returns a GtkMenuItem with an stock icon and text

`GtkWidget *`gnome_stock_menu_item``(char *`type`, char *`text`);

### Description

returns a GtkMenuItem with an stock icon and text

### Parameters

- char *`type`

  Not Descripted.

- char *`text`

  Not Descripted.

<<< Previous | Home | Next >>>
gnome-stock-xpm - XPM | Up | gtk-clock